cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/designations/des_8a1b2c3d4e5f40718293a4b5c6d7e8f9" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"designation": {
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew"
}
}'from exsited import build_client
client = build_client()
response = client.designations.update_settings_designation(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
{
"designation": {
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.designations.updateSettingsDesignation('des_8a1b2c3d4e5f40718293a4b5c6d7e8f9', {
designation: {display_name: 'Senior Site Supervisor', description: 'Leads the site crew'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->designations->updateSettingsDesignation(
'des_8a1b2c3d4e5f40718293a4b5c6d7e8f9',
[
'designation' => [
'display_name' => 'Senior Site Supervisor',
'description' => 'Leads the site crew',
],
],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.designations().updateSettingsDesignation(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
Map.of(
"designation", Map.of(
"display_name", "Senior Site Supervisor",
"description", "Leads the site crew")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Designations.UpdateSettingsDesignationAsync(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
new Dictionary<string, object?>
{
["designation"] = new Dictionary<string, object?>
{
["display_name"] = "Senior Site Supervisor",
["description"] = "Leads the site crew",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.designations.updateSettingsDesignation(
'des_8a1b2c3d4e5f40718293a4b5c6d7e8f9',
{
'designation': {
'display_name': 'Senior Site Supervisor',
'description': 'Leads the site crew',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Designations().UpdateSettingsDesignation(context.Background(), "des_8a1b2c3d4e5f40718293a4b5c6d7e8f9", map[string]any{
"designation": map[string]any{
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"designation": {
"created_by": null,
"created_on": "<string>",
"description": null,
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Designations
Update a designation
Changes a designation’s name, display name or description.
PATCH
/
settings
/
designations
/
{designation_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/designations/des_8a1b2c3d4e5f40718293a4b5c6d7e8f9" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"designation": {
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew"
}
}'from exsited import build_client
client = build_client()
response = client.designations.update_settings_designation(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
{
"designation": {
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.designations.updateSettingsDesignation('des_8a1b2c3d4e5f40718293a4b5c6d7e8f9', {
designation: {display_name: 'Senior Site Supervisor', description: 'Leads the site crew'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->designations->updateSettingsDesignation(
'des_8a1b2c3d4e5f40718293a4b5c6d7e8f9',
[
'designation' => [
'display_name' => 'Senior Site Supervisor',
'description' => 'Leads the site crew',
],
],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.designations().updateSettingsDesignation(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
Map.of(
"designation", Map.of(
"display_name", "Senior Site Supervisor",
"description", "Leads the site crew")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Designations.UpdateSettingsDesignationAsync(
"des_8a1b2c3d4e5f40718293a4b5c6d7e8f9",
new Dictionary<string, object?>
{
["designation"] = new Dictionary<string, object?>
{
["display_name"] = "Senior Site Supervisor",
["description"] = "Leads the site crew",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.designations.updateSettingsDesignation(
'des_8a1b2c3d4e5f40718293a4b5c6d7e8f9',
{
'designation': {
'display_name': 'Senior Site Supervisor',
'description': 'Leads the site crew',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Designations().UpdateSettingsDesignation(context.Background(), "des_8a1b2c3d4e5f40718293a4b5c6d7e8f9", map[string]any{
"designation": map[string]any{
"display_name": "Senior Site Supervisor",
"description": "Leads the site crew",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"designation": {
"created_by": null,
"created_on": "<string>",
"description": null,
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Send the fields to change under
designation: name, display_name or description. The updated designation comes back under designation.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The designation's id, which starts with des_.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated designation, under designation.
Show child attributes
Show child attributes